package immibis.infinitubes;

import net.minecraft.item.ItemStack;
import net.minecraftforge.common.ForgeDirection;

public interface IItemReceptor {
	/**
	 * Adds items from the given item stack to this item receptor.
	 * Subtracts the number of added items from stack.stackSize.
	 */
	public void insert(ItemStack stack, ForgeDirection side, String label);
	
	/**
	 * Higher priorities get first chance to use the item.
	 */
	public int getItemReceptorPriority();
}
